﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;
using System.Xml;
using System.IO;
using System.Xml.Linq;

namespace WSReq
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void WebClientButton_Click(object sender, RoutedEventArgs e)
        {
            CategoryResult.Text = "";
            DateResult.Text = "";
            Uri baseUri = HtmlPage.Document.DocumentUri;
            Uri requestUri = new Uri(baseUri, RelativeUrl.Text);
            WebClient client = new WebClient();
            client.OpenReadCompleted += (s, arg) =>
                {
                    XmlReader reader = XmlReader.Create(arg.Result);
                    XDocument doc = XDocument.Load(reader);
                    string category = doc.Root.Element("Data").Element("Category").Value;
                    string date = doc.Root.Element("Data").Element("Date").Value;
                    CategoryResult.Text = category;
                    DateResult.Text = date;
                };
            client.OpenReadAsync(requestUri);
        }
    }
}
